export declare const deleteEventResponseSchema: import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    date: import("zod").ZodDate;
    location: import("zod").ZodString;
    folderId: import("zod").ZodNullable<import("zod").ZodString>;
    tagAssistedId: import("zod").ZodString;
    tagConfirmedId: import("zod").ZodString;
    supraEventId: import("zod").ZodNullable<import("zod").ZodString>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "strip", import("zod").ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}, {
    location: string;
    id: string;
    name: string;
    date: Date;
    created_at: Date;
    updated_at: Date;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}>;
declare const DeleteEventResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    name: import("zod").ZodString;
    date: import("zod").ZodString;
    location: import("zod").ZodString;
    folderId: import("zod").ZodNullable<import("zod").ZodString>;
    tagAssistedId: import("zod").ZodString;
    tagConfirmedId: import("zod").ZodString;
    supraEventId: import("zod").ZodNullable<import("zod").ZodString>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: string;
    updated_at: string;
    folderId: string | null;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId: string | null;
}>>;
export declare class DeleteEventResponseDto extends DeleteEventResponseDto_base {
}
export {};
